import { defineComponent as a, computed as c, openBlock as o, createElementBlock as r, unref as t, normalizeClass as s, createCommentVNode as l, createElementVNode as m, renderSlot as d } from "vue";
import { isPlainObject as h, isString as x } from "lodash-es";
import { a7 as f } from "./index-1e3e8095.js";
import "axios";
import "@vueuse/core";
import "vue-i18n";
const u = `.kapix-chip-container{width:100%;height:100%;min-width:0;min-height:0;flex-direction:row;display:flex;align-items:center;justify-content:center;white-space:nowrap;position:relative;overflow:hidden;text-overflow:ellipsis;height:29px;max-width:100%;font-size:12px;line-height:20px;background-color:#e0e0e0;border-radius:16px;margin:4px;padding:0 12px;vertical-align:middle}.kapix-chip-container>.kapix-chip-content{display:flex;flex-direction:row;gap:5px}
`, g = { class: "kapix-chip-container" }, k = ["innerHTML"], S = /* @__PURE__ */ a({
  __name: "KapixChip",
  props: {
    item: {},
    close: { type: Boolean, default: !0 }
  },
  setup(p) {
    f("KapixChip", u);
    const e = p, i = c(() => h(e.item) ? e.item : x(e.item) ? { label: e.item } : { label: "" });
    return (n, w) => (o(), r("div", g, [
      t(i).icon ? (o(), r("div", {
        key: 0,
        class: s(["mr-1", t(i).icon])
      }, null, 2)) : l("", !0),
      m("div", {
        class: "kapix-chip-content",
        innerHTML: t(i).label
      }, null, 8, k),
      n.close ? d(n.$slots, "close", { key: 1 }) : l("", !0)
    ]));
  }
});
export {
  S as default
};
